/*
 *  shadowircd: an advanced Internet Relay Chat Daemon(ircd).
 *  supported.h: Header for 005 numeric etc...
 *
 *  Copyright (C) 2002 by the past and present ircd coders, and others.
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 *  USA
 *
 *  $Id: supported.h,v 3.6.4.10 2004/12/17 19:30:31 nenolod Exp $
 */

#ifndef INCLUDED_supported_h
#define INCLUDED_supported_h

#include "channel.h"
#include "ircd_defs.h"
#include "s_serv.h"

#define CASEMAP "ascii"

#ifdef HAVE_LIBCRYPTO
#define SSL "SSL "
#else
#define SSL ""
#endif

#define FEATURES SSL "SMARTHELP WALLCHOPS TUNL"   \
		 " ENCAP ETRACE DCCALLOW CALLERID SAFELIST FNC PENALTY" \
                 "%s%s%s"          \
                 " MODES=%i"       \
                 " CHANLIMIT=%s:%i" \
                 " MAXLIST=bedqI:%i"

#define FEATURESVALUES ConfigChannel.use_knock ? " KNOCK" : "", \
        ConfigChannel.use_except ? " EXCEPTS=e" : "", \
        ConfigChannel.use_invex ? " INVEX=I" : "", \
        MAXMODEPARAMS, \
        ConfigChannel.disable_local_channels ? "#" : "#&",  \
        ConfigChannel.max_chans_per_user, \
        ConfigChannel.max_bans

#define FEATURES2 "PREFIX=%s"        \
		  " CHANMODES=%s%s%s" \
		  " NETWORK=%s"       \
		  " CASEMAPPING=%s"   \
                  " TARGMAX=PRIVMSG,NOTICE:%i"  \
                  " NICKLEN=%i"     \
                  " TOPICLEN=%i"    \
                  " KICKLEN=%i"     \
                  " SILENCE=%i"     \
		  " ELIST=%s LANGUAGE=%s"

#define FEATURES2VALUES ConfigFileEntry.oper_prefix ? "(auohv)~!@%+" : "(uohv)!@%+", \
                        ConfigChannel.use_except ? "e" : "", \
                        ConfigChannel.use_invex ? "I" : "", \
                        "bqd,kfj,l,imnpstTFczGETPScrVNOF", \
                        ServerInfo.network_name, CASEMAP, \
		        ConfigFileEntry.max_targets,NICKLEN-1,TOPICLEN,TOPICLEN, \
		        ConfigFileEntry.max_silence, \
			"MNCTAU", get_locale()			

#endif /* INCLUDED_supported_h */
